<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="UTF-8">
		<title>Maintenance service</title>
		<link rel='stylesheet' href='https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.7/css/bootstrap.min.css'>
		<link rel='stylesheet' href='https://cdnjs.cloudflare.com/ajax/libs/material-design-iconic-font/2.2.0/css/material-design-iconic-font.min.css'>
		<link rel='stylesheet' href='css/maintenance.css'>
	</head>
	<body>
		<div id="viewport">
			<div id="sidebar">
				<header>
					<a href="#">OnService</a>
				</header>
				<ul class="nav">
					<li>
						<a href="maintenance.php">
							<i class="zmdi zmdi-view-dashboard"></i> Dashboard
						</a>
					</li>
					<li>
						<a href="/maintenance/electrovalves.php">
							<i class="zmdi zmdi-link"></i> Electrovalves
						</a>
					</li>
					<li>
						<a href="/maintenance/datalog.php">
							<i class="zmdi zmdi-calendar"></i> Datalog
						</a>
					</li>
					<li>
						<a href="/maintenance/settings.php">
							<i class="zmdi zmdi-settings"></i> Settings
						</a>
					</li>
					<li>
						<a href="#">
							<i class="zmdi zmdi-info-outline"></i> About
						</a>
					</li>
				</ul>
			</div>

			<div id="content">			
				<nav class="navbar navbar-default">		
					<div class="container-fluid">
						<ul class="nav navbar-nav navbar-left">						
							<li><a href="#">Dashboard</a></li>
						</ul>
						<ul class="nav navbar-nav navbar-right">						
							<li>
								<a href="#"><i class="zmdi zmdi-notifications text-danger"></i>
								</a>
							</li>
							<li><a href="#">Test User</a></li>
						</ul>
					</div>
				</nav>
				<div class="container-fluid">				
					<div class="row">
						<div class="col-md-10">
							<?php
								//Connect to database
								$link = mysqli_connect('localhost','root','');
								mysqli_select_db($link, 'maintenance') or die('Cannot select the DB');
				
								$result = mysqli_query($link,"SELECT * FROM state");

								echo "
								<table class='table'>
								<thead>
									<tr>
										<th>Electrovalve</th>
										<th>State</th>										
										<th>Cicles</th>
										<th>Threshold</th>
										<th>Lifetime</th>
										<th>Flow</th>										
										<th>Percentage used</th>
									</tr>
								</thead>
								<tbody>
									<tr><td></td></tr>
								";
								while($row = mysqli_fetch_array($result)) {
									
									$result2 = mysqli_query($link,"SELECT valv_state,flow FROM valves ORDER BY ID DESC LIMIT 1");
									$row2 = mysqli_fetch_array($result2);
									$flow = $row2['flow'];
									$state = $row2['valv_state'];									
									
									if ($row['active'] == true) {
										echo "<tr class='success'>";
									} else {
										echo "<tr>";										
									}
									$unit_id = $row['id'];
									$cicles = $row['counter'];
									$threshold = $row['threshold'];									
									$max_pulses = $row['max_pulses'];
									$bar = ($cicles * 100)/$max_pulses;
									echo "<td> Electrovalve " . $row['id'] . "</td>";
									if ($state == 0){								
										echo "<td style='color:red'>OFF</td>";
									} elseif ($state == 1){
										echo "<td style='color:green'>ON</td>";							
									}
									echo "<td>" . $row['counter'] . "</td>";
									echo "<td>" . $row['threshold'] . "</td>";
									echo "<td>" . $row['max_pulses'] . "</td>";
									echo "<td>" . $flow . "</td>";
									
									echo "<td>
										<div class='progress progress-striped active'>
											<div class='progress-bar' role='progressbar'
												aria-valuenow=".$bar." aria-valuemin='0' aria-valuemax='100'
												style='width: ".$bar."%'>".$bar."%
											</div>
										</div>
									</td></tr>";

									if ($row['active'] == true) {
										echo "<tr>";						
										echo "<td colspan='7'>";
										if ($cicles < $threshold){
											echo "<div class='alert alert-success'>
												<p>Solenoid valve is inside the parameters adviced by the manufacturer.</p>
												<p>No action is required.</p>
											</div>";								
										} elseif ($cicles >= $threshold and $cicles < $max_pulses){
											echo "<div class='alert alert-warning'>
												<h1 align='center'>Caution!</h1>
												<br>
												<p>Solenoid valve is close to meeting the maximum number of cycles recommended by the manufacturer. Consider scheduling maintenance.</p>
											</div>";
										} elseif ($cicles >= $max_pulses){
											echo "<div class='alert alert-danger' align='center'>
												<h1 align='center'>Warning!</h1>
												<br>											
												<p>Solenoid valve is over the maximum number of cycles recommended by the manufacturer. If not action is taken, it can fail at any time.</p>										
											</div>";
										}						
										echo "<tr>";
										echo "<td colspan='7'>";
										if ($state == 0 and $flow <> 0){
											echo "<div class='alert alert-danger'>
												<h1 align='center'>Warning!</h1>
												<br>
												<p>Solenoid valve 1 has a leakage. Intervention required</p>
											</div>";								
										} elseif ($state == 1 and $flow == 0){
											echo "<div class='alert alert-warning'>
												<h1 align='center'>Caution!</h1>
												<br>
												<p>Solenoid valve 1 is open and there is no flow. The coil could be damaged.</p>
											</div>";
										}
										echo "</td></tr>";
									}
									echo "</tbody>"; 
									}
								echo "</table>
								<br>
								";
								
								header("Refresh:5");
							?>

						</div>
					</div>
				</div>
			</div>				
		</div>
	</body>
</html>